package com.oguerreiro.resilient.service.dto;

import com.oguerreiro.resilient.domain.enumeration.ContentPageType;

import io.swagger.v3.oas.annotations.media.Schema;

/**
 * A DTO for the {@link com.oguerreiro.resilient.domain.ContentPage} entity.
 */
@Schema(description = "ContentPage")
public class ContentPageDTO extends AbstractResilientDTO<Long> {

  private static final long serialVersionUID = 1L;

  private String title;
  private ContentPageType slug;
  private String content;

  public String getTitle() {
    return title;
  }

  public void setTitle(String title) {
    this.title = title;
  }

  public ContentPageType getSlug() {
    return slug;
  }

  public void setSlug(ContentPageType slug) {
    this.slug = slug;
  }

  public String getContent() {
    return content;
  }

  public void setContent(String content) {
    this.content = content;
  }

  //@formatter:off
  @Override
  public String toString() {
    return "DashboardComponentDTO{" + 
              "id=" + getId() + 
              ", title='" + getTitle() + "'" + 
              ", slug='" + getSlug() + "'" +
              ", version=" + getVersion() + 
           "}";
  }
  //@formatter:on
}
